package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.*;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;

import java.util.List;

public interface IResourceMicroappPublishService {

    List<ResourceMicroappRegisterListModel> queryList(ResourceMicroappRegisterSearchModel inputModel);
    long queryCount(ResourceMicroappRegisterSearchModel inputModel);
    List<ResourceMicroappRegisterListModel> querypublishList(ResourceMicroappRegisterSearchModel inputModel);
    long querypublishCount(ResourceMicroappRegisterSearchModel inputModel);

    ResultState<Long> delete(long id);
    Object queryOne(long id);
    //Object aduit(long id);
    ResourceMicroappWithBLOBs selectMicroappId(long id);
    Object selectResourceId(long id);
    List<APIPublishSettingModel>   selectByPublishInfoId(long id);
    PublishInfoWithBLOBs selectByResourceId(long id);
    ResultState edit(ResourceMicroappPublishDataModel inputModel);
    List<ResourceMicroappRegisterListModel> querypublishAduitList(ResourceMicroappRegisterSearchModel inputModel);
    long querypublishAduitCount(ResourceMicroappRegisterSearchModel inputModel);

    ResultState<Long> doPublish(ResourceMicroappPublishDataModel inputModel);

    ResultState downframe(PublishInfo publishInfo);

    ResultState doAduit(ResourceMicroappPublishDataModel inputModel);

    ResultState shoreAduit(ResourceMicroappPublishDataModel inputModel);
}
